MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NarrowPath Class Reference

A path name that uses the regular (narrow) "char". More...

`#include <NarrowPath.hxx>`

## Public Member Functions
| NarrowPath (Path _path)
| operator const_pointer_type () const
const_pointer_type | c_str () const

## Detailed Description

A path name that uses the regular (narrow) "char".

This is used to pass a Path (which may be represented by wchar_t) to a library that accepts only "const char *".

Definition at line 40 of file NarrowPath.hxx.

## Constructor & Destructor Documentation

NarrowPath::NarrowPath | ( | Path | _path | ) |
| inline explicit

Definition at line 59 of file NarrowPath.hxx.

## Member Function Documentation

const_pointer_type NarrowPath::c_str | ( |  | ) | const
| inline

Definition at line 66 of file NarrowPath.hxx.

NarrowPath::operator const_pointer_type | ( |  | ) | const
| inline

Definition at line 62 of file NarrowPath.hxx.

The documentation for this class was generated from the following file:

- fs/NarrowPath.hxx